LibreOffice LibreOffice 25.2 SDK API Reference

Exported Interfaces | Public Member Functions | List of all members
XSequenceOutputStream Interface Reference

This interface offers access to the written bytes. More...

`import"XSequenceOutputStream.idl";`

Inheritance diagram for XSequenceOutputStream:

## Exported Interfaces
interface | XOutputStream

## Public Member Functions
sequence< byte > | getWrittenBytes () raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::IOException )
| allows to get access to the written data More...
Public Member Functions inherited from XOutputStream
void | writeBytes ([in] sequence< byte > aData) raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException)
| writes the whole sequence to the stream. More...
void | flush () raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException)
| flushes out of the stream any data that may exist in buffers. More...
void | closeOutput () raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException)
| gets called to indicate that all data has been written. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface offers access to the written bytes.

## Exported Interfaces

## ◆ XOutputStream

interface XOutputStream

## Member Function Documentation

## ◆ getWrittenBytes()

sequence< byte > getWrittenBytes | ( |  | ) |
raises | ( | com::sun::star::io::NotConnectedException,
|  | com::sun::star::io::IOException
| ) |  |

allows to get access to the written data

The documentation for this interface was generated from the following file:

- com/sun/star/io/XSequenceOutputStream.idl